PHP K�sikirja
Edellinen |  | Seuraava

# SoapClient->__getTypes()

SoapClient->__getTypes() -- Returns list of SOAP types

## Description

class SoapClient {
array __getTypes ( void )
}

This function works only in WSDL mode.

## Return values

The list of SOAP types.

## Examples

Esimerkki 1. SoapClient->__getTypes() example

`<?php $client = new SoapClient("some.wsdl"); var_dump($client->__getTypes()); ?>`

## See Also

SoapClient->__construct()

Edellinen | Alkuun | Seuraava
SoapClient->__getLastResponseHeaders() | Ylös | SoapClient->__setCookie()